%{?nodejs_find_provides_and_requires}

%global packagename detect-indent

# tests disabled due to missing npm(ava) test suite
%global enable_tests 0

Name:		nodejs-detect-indent
Version:	5.0.0
Release:	1%{?dist}
Summary:	Detect the indentation of code

License:	MIT
URL:		https://github.com/sindresorhus/detect-indent
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	fixture-%{version}.tar.bz2
Source10:	dl-tests.sh
# The test file itself
Source11:	https://raw.githubusercontent.com/sindresorhus/detect-indent/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(repeating)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Detect the indentation of code


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
cp -p %{SOURCE11} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Sat Apr 22 2017 Jared Smith <jsmith@fedoraproject.org> - 5.0.0-1
- Update to upstream 5.0.0 release

* Fri Feb 19 2016 Jared Smith <jsmith@fedoraproject.org> - 4.0.0-1
- Initial packaging
